**`PROFILE:`[WORK_EXPERIENCE_HEADING]** -NL- Passionate and talented Software Engineer -NL- design and Development lifecycles. Visionary, with over 8+ years of experience in Software -NL- strategist, problem solver, overcoming -NL- challenges through quick decision making, to -NL- optimize and enhance products and services -NL- for clients. Hands-on team player, motivating -NL- teams to deliver on all targets and goals. -NL- Highly flexible, able to learn quickly and -NL- implement new and emerging technologies to -NL- ensure best possible results. -NL- **`PROFESSIONAL SUMMERY`[SUMMARY_HEADING]** -NL- ➢ Strong Programming knowledge in -NL- OOJS, Angular 2, 4, 7 , TypeScript & -NL- ES6. -NL- ➢ Experience in Web technologies -NL- (HTML, Bootstrap, CSS, SCSS) -NL- ➢ Good Understanding in RXJS, NgRx -NL- Concepts. -NL- ➢ Experience in software development -NL- methodologies like Agile development. -NL- ➢ Good understanding over the web and -NL- application servers like Tomcat. -NL- ➢ Good Programming, Analytical and -NL- Trouble Shooting skills. -NL- ➢ Good analytical abilities, quick -NL- grasping power zeal for learning new -NL- things. -NL- ➢ Good Understanding in writing Unit -NL- Testcases (Mocha, Chai, Jasmine). -NL- ➢ Knowledge on AWS Components -NL- (Lambda, S3 Bucket) -NL- ➢ Excellent Team player and ability to -NL- adapt to any work environment and -NL- Time oriented. -NL- ➢ Dynamic, highly motivated and result- -NL- oriented professional. -NL- ➢ Good Knowledge in Google Analytics, -NL- Tag Manager, Loggly. -NL- **`SKILLS:`[SKILLS_HEADING]** -NL- Operating Systems : Windows 7,10 and -NL- UNIX. -NL- Web Technologies : OOJS, HTML5, CSS3, -NL- SCSS, NodeJS, AWS -NL- Languages : Typescript, JavaScript -NL- Framework : Angular 2, 4 & 7, NgRx, -NL- Google Analytics, Bootstrap 3 & 4, -NL- Servers : Apache Tomcat -NL- Tools : Web storm, Sublime, -NL- Eclipse, Visual Basic, Photoshop, JIRA, -NL- Confluence -NL- Repositories : GitHub, -NL- CORE STRENGTH: -NL- SAFE Certified -NL- Basic Knowledge in Data Science -NL- Good Team Player -NL- Good analytical skills -NL- **`HOBBIES:`[OTHERS_HEADING]** -NL- Learning new technologies and updating my -NL- skill set. -NL- Playing and Watching Cricket. -NL- Listening Music’s -NL- Watching Movie’s -NL- **`Personal Information`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth : 24-08-1987 -NL- Pan Number : FMDPS1976P -NL- **`Languages Known :`[SKILLS_HEADING]** -NL- Read/Write/Speak - -NL- English, Malayalam, Tamil and Hindi -NL- Permanent Address : Melveettil House, -NL- Kanimangalam-Post, -NL- Thrissur-680027, Kerala-State, INDIA -NL- **`SARATH MC`[NAME]** -NL- Sr. UI Developer -NL- Contact: **`9620623058`[PHONES_PHONE]**, -NL- Email: **`sarathmc2007@gmail.com`[EMAILS_EMAIL]** -NL- **`9037277690`[PHONES_PHONE]** -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL- **`BE`[EDUCATION_DEGREE]** in **`Computer Science and Engineering`[EDUCATION_COURSE]** From **`Maharaja Institute Of Technology -NL- Coimbatore`[EDUCATION_INSTITUTE]**(Anna University), 2011, 76 % GPA. -NL- **`Diploma`[EDUCATION_DEGREE]** in **`Computer Science and Engineering`[EDUCATION_COURSE]** From **`Sri Ragavendra Polytechnic -NL- College Namakkal`[EDUCATION_INSTITUTE]** (DOTE), 2008, 81% GPA. -NL- **`WORK EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- **`AMITI SOFTWARE TECHNOLOGIES PVT LTD`[EMPLOYER_COMPANY_NAME]**, Bangalore -NL- **`Senior Software UI Developer/ Lead`[EMPLOYER_ROLE]** -NL- March 2017 to Till Date. -NL- • Analyze the system requirements and Taken TL Responsibilities, Attending -NL- meetings with Clients. -NL- • Preparing Design documents from HLD (High Level Design). -NL- • Coding of modules based on the Design and requirements specification. -NL- • Implementing the UI related change requests by client or end user. -NL- • Test case designing and coding. -NL- • Designing of Karma Test cases. -NL- • I was flexible enough to take up the work assigned to me, and to move to the -NL- team assigned by managers. -NL- • Interaction with the Product Owner and Clients for clarification on the -NL- requirements and requirements gaps in Daily Scrum meeting call. -NL- • In this project, we are following SAFE methodology. -NL- **`Zealous Technologies`[EMPLOYER_COMPANY_NAME]**, TamilNadu -NL- **`Software Developer`[EMPLOYER_ROLE]** -NL- July- 2016 to March 2017 -NL- • Analyze the system requirements. -NL- • Coding of modules based on the Design and requirements specification. -NL- • I was flexible enough to take up the work assigned to me, and to move to -NL- the team assigned by managers. -NL- • Client meeting and end users to analyze their needs. -NL- • Developing cross-browser and cross-platform Compatible solutions. -NL- • working closely with the product management team to organize the web -NL- presence of clients. -NL- **`Hammero Technologies & Services`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Developer`[EMPLOYER_ROLE]** -NL- December 2013 to July 2016 -NL- **`Adithya Advanced Technologies `[EMPLOYER_COMPANY_NAME]**-NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- Aug-2012 to Nov-2013 -NL- **`Siegend`[EMPLOYER_COMPANY_NAME]** -NL- **`Software Developer`[EMPLOYER_ROLE]** -NL- June -2011 to August- 2012 -NL- PROJECTS: -NL- Project #1 -NL- Name : **`ADESA OPEN AUCTION`[PROJECT_TITLE]** -NL- Client : **`OPEN LANE, KAR, ADESA`[PROJECT_COMPANY_NAME]** -NL- Team Size : 4:6:6 -NL- Duration : August 2017 to till date. -NL- URL : https://buy.adesa.com -NL- Technologies : -NL- Angualr4 & 7, TypeScript, RxJS, NgRx, Bootstrap4, SCSS, HTML, CSS, Nodejs, -NL- AWS, Google Analytics, Tag Manger, Web Accessibility -NL- Rolls & Responsibilities : -NL- Analyze the system requirements and Taken TL Responsibilities, Attending meetings -NL- with Clients. -NL- Preparing Design documents from HLD (High Level Design). -NL- Coding of modules based on the Design and requirements specification. -NL- Implementing the UI related change requests by client or end user. -NL- Test case designing and coding. -NL- Designing of Karma Test cases. -NL- I was flexible enough to take up the work assigned to me, and to move to the team -NL- assigned by managers. -NL- Interaction with the Product Owner and Clients for clarification on the requirements -NL- and requirements gaps in Daily Scrum meeting call. -NL- In this project, we are following SAFE methodology. -NL- Deploying the Project into higher repository. -NL- Tag & Release the application with version. -NL- Production Support & Critical Bug Fixes -NL- Project #2 -NL- Name : **`HR Management (Angular 4.x)`[PROJECT_TITLE]** -NL- Client : **`Amiti Software Technology`[PROJECT_COMPANY_NAME]** -NL- Team Size : 10 -NL- Duration : March 2017 to May 2017. -NL- Technologies : -NL- Angular 2 & 4, TypeScript, Bootstrap, SCSS, HTML, CSS, Auth0 -NL- Project #3 -NL- Name : **`Chimble`[PROJECT_TITLE]** -NL- Client : **`Amiti Soft & Chimble `[PROJECT_COMPANY_NAME]**-NL- URL : LPlatform https://chimple.net/ (Got 3rd Prize In -NL- International Level- XPRESS) (Angular 4.x) -NL- Duration : 1 Months -NL- Environment: -NL- Angular4, Bootstrap, HTML, CSS, Firebase -NL- Project #4 -NL- Name : **`Redpepper`[PROJECT_COMPANY_NAME]** -NL- Client : **`Redpepper`[PROJECT_COMPANY_NAME]** -NL- URL : http://redpepperdigital.net (2016)[AngularJS] -NL- Duration : 18 Months -NL- Project #5 -NL- Name : **`Zealous Tech `[PROJECT_TITLE]**-NL- Client : **`Zealous Tech `[PROJECT_TITLE]**-NL- URL : Http://zealoustechsolutions.com -NL- Duration : 3 Months -NL- Project #6 -NL- Client :**` Puthukkayil Hospital`[PROJECT_COMPANY_NAME]** -NL- URL : http://Hms.com (2016) [Local Host – Front End- AngularJS (6 -NL- Months)]. -NL- Project #7 -NL- Client :**` Pondicherry Maritime Academy `[PROJECT_COMPANY_NAME]**(2015 – 2016) -NL- URL : http://pondicherrymaritime.com/ (2016) [Front End- AngularJS (6 -NL- Months)]. -NL- Project #8 : -NL- Client : **`Supermarket`[PROJECT_COMPANY_NAME]** -NL- Project : **`Supermarket`[PROJECT_COMPANY_NAME]** Accounting System (SMAS) -NL- Team Size : 03 -NL- Project in brief: **`Supermarket`[PROJECT_COMPANY_NAME]** Accounting System (SMAS) -NL- SMAS is an Application Software used for **`Supermarket`[PROJECT_COMPANY_NAME]** Accounting Used for Storing -NL- Purchasing And Delivering items details, And also used to year ending auditing -NL- report. -NL- Project #9 : -NL- Client : **`MiniTool’s Agencies`[PROJECT_COMPANY_NAME]** 2014 - 2015 -NL- Project : **`https://www.minitools.com [ Local Host ] `[PROJECT_TITLE]**-NL- Team Size : 03 -NL- Project in brief: MiniTool’s -NL- MiniTool’s is a Fabrication company with number of employees are -NL- working. In this project is used for Proprietor to check the employee’s status (payroll -NL- system is used). Each and every day employee’s login to this page and mark his -NL- attendance. only one machine can access employees request (they can’t access the -NL- page outside the company). Admin can allow to check the Company order from -NL- outside clients. -NL- Project #10 -NL- Client : **`Company Product`[PROJECT_COMPANY_NAME]** -NL- Project : **`Medical Pharma`[PROJECT_TITLE]** -NL- Role : **`Software Developer`[EMPLOYER_ROLE]** -NL- Team Size : 08 -NL- Project #11 -NL- Client : **`SIEGEND`[PROJECT_COMPANY_NAME]** -NL- Project : **`http://www. Siegendfastracc.com`[PROJECT_TITLE]** -NL- Role : **`Software Developer`[EMPLOYER_ROLE]** -NL- Team size : 04 -NL- Project #12 : **`Badelnee`[PROJECT_COMPANY_NAME]** (social networking+ shopping cart) -NL- Client : **`Badelnee`[PROJECT_COMPANY_NAME]** -NL- Project : http://www.badelnee.com -NL- Role : **`Software Developer`[EMPLOYER_ROLE]** -NL- Team size : 04 -NL- Project #13 :**` Green Apple (Help to store company and employee details and -NL- remained them )`[PROJECT_TITLE]** -NL- Client : **`Green Apple`[PROJECT_COMPANY_NAME]** -NL- Project : http://www.greenapple.com -NL- Role : **`Software Developer`[EMPLOYER_ROLE]** -NL- Team size : 04. -NL- **`DECLARATION:`[OTHERS_HEADING]** -NL- I, hereby declare that the information furnished above is true to the best of my -NL- knowledge and belief. -NL- DATE : -NL- PLACE : -NL- (**`SARATH MC`[NAME]**) -NL- 